cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/document_templates" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"document_template": {
"name": "Invoice layout",
"document_template_type": "PDF_DOCUMENT"
}
}'from exsited import build_client
client = build_client()
response = client.document_templates.create_settings_document_template(
{
"document_template": {
"name": "Invoice layout",
"document_template_type": "PDF_DOCUMENT",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.documentTemplates.createSettingsDocumentTemplate({
document_template: {name: 'Invoice layout', document_template_type: 'PDF_DOCUMENT'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->documentTemplates->createSettingsDocumentTemplate([
'document_template' => ['name' => 'Invoice layout', 'document_template_type' => 'PDF_DOCUMENT'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.document_templates.document_templates_dto.DocumentTemplatesDto.SettingsDocumentTemplate;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsDocumentTemplate> response = client.documentTemplates().createSettingsDocumentTemplate(
Map.of(
"document_template", Map.of(
"name", "Invoice layout",
"document_template_type", "PDF_DOCUMENT")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.DocumentTemplates.CreateSettingsDocumentTemplateAsync(new Dictionary<string, object?>
{
["document_template"] = new Dictionary<string, object?>
{
["name"] = "Invoice layout",
["document_template_type"] = "PDF_DOCUMENT",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.documentTemplates
.createSettingsDocumentTemplate({
'document_template': {
'name': 'Invoice layout',
'document_template_type': 'PDF_DOCUMENT',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.DocumentTemplates().CreateSettingsDocumentTemplate(context.Background(), map[string]any{
"document_template": map[string]any{
"name": "Invoice layout",
"document_template_type": "PDF_DOCUMENT",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"document_template": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"is_custom_template": true,
"is_default": true,
"is_edited": true,
"is_system_template": true,
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
}Document templates
Create a document template
Creates a document template and returns it under document_template.
POST
/
settings
/
document_templates
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/document_templates" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"document_template": {
"name": "Invoice layout",
"document_template_type": "PDF_DOCUMENT"
}
}'from exsited import build_client
client = build_client()
response = client.document_templates.create_settings_document_template(
{
"document_template": {
"name": "Invoice layout",
"document_template_type": "PDF_DOCUMENT",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.documentTemplates.createSettingsDocumentTemplate({
document_template: {name: 'Invoice layout', document_template_type: 'PDF_DOCUMENT'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->documentTemplates->createSettingsDocumentTemplate([
'document_template' => ['name' => 'Invoice layout', 'document_template_type' => 'PDF_DOCUMENT'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.document_templates.document_templates_dto.DocumentTemplatesDto.SettingsDocumentTemplate;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsDocumentTemplate> response = client.documentTemplates().createSettingsDocumentTemplate(
Map.of(
"document_template", Map.of(
"name", "Invoice layout",
"document_template_type", "PDF_DOCUMENT")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.DocumentTemplates.CreateSettingsDocumentTemplateAsync(new Dictionary<string, object?>
{
["document_template"] = new Dictionary<string, object?>
{
["name"] = "Invoice layout",
["document_template_type"] = "PDF_DOCUMENT",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.documentTemplates
.createSettingsDocumentTemplate({
'document_template': {
'name': 'Invoice layout',
'document_template_type': 'PDF_DOCUMENT',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.DocumentTemplates().CreateSettingsDocumentTemplate(context.Background(), map[string]any{
"document_template": map[string]any{
"name": "Invoice layout",
"document_template_type": "PDF_DOCUMENT",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"document_template": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"is_custom_template": true,
"is_default": true,
"is_edited": true,
"is_system_template": true,
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
}Send the new document template under
document_template. name and document_template_type, such as PDF_DOCUMENT, are required. A read reports the type in type.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new document template, under document_template.
Show child attributes
Show child attributes